﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartNoiseDataDemo.Models
{

    public class DataPoint
    {
        public double X { get; set; }

        public double Y { get; set; }

        public DataPoint()
        {

        }

        public DataPoint(Double x, Double y)
        {
            this.X = x;
            this.Y = y;
        }

        public DataPoint(DataPoint pt)
        {
            this.X = pt.X;
            this.Y = pt.Y;
        }

        public override string ToString()
        {
            // return "(X: " + this.X.ToString() + ", Y:" + this.Y.ToString() + ")";
            return "(" + this.X.ToString() + ", " + this.Y.ToString() + ")";
        }


    }

}
